Bug 996730 - [abrt] zsh-5.0.2-5.fc19: stringsubst: Process /usr/bin/zsh was killed by signal 11 (SIGSEGV)
[abrt] zsh-5.0.2-5.fc19: stringsubst: Process /usr/bin/zsh was killed by sign...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:cbaecc58b1667b2c50b9f4b13ec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 16:12 EDT by Jason Porter
Modified: 2014-07-15 16:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-15 16:31:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (277.46 KB, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: core_backtrace (19.28 KB, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: dso_list (1.76 KB, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: environ (1.96 KB, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: maps (8.52 KB, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: proc_pid_status (977 bytes, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details
File: var_log_messages (833 bytes, text/plain)
2013-08-13 16:12 EDT, Jason Porter
no flags Details

  None (edit)
Description Jason Porter 2013-08-13 16:12:00 EDT
Description of problem:
I think this is caused by prezto and not having syntax highlighting enabled.

Version-Release number of selected component:
zsh-5.0.2-5.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /bin/zsh
crash_function: stringsubst
executable:     /usr/bin/zsh
kernel:         3.10.5-201.fc19.x86_64
open_fds:       
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 stringsubst at subst.c:265
 #1 prefork at subst.c:77
 #2 singsub at subst.c:397
 #3 evalcond at cond.c:180
 #4 execcond at exec.c:4130
 #5 execsimple at exec.c:1104
 #6 execlist at exec.c:1243
 #7 execif at loop.c:500
 #8 execcmd at exec.c:3200
 #9 execpline2 at exec.c:1677
Comment 1 Jason Porter 2013-08-13 16:12:05 EDT
Created attachment 786259 [details]
File: backtrace
Comment 2 Jason Porter 2013-08-13 16:12:09 EDT
Created attachment 786260 [details]
File: cgroup
Comment 3 Jason Porter 2013-08-13 16:12:13 EDT
Created attachment 786261 [details]
File: core_backtrace
Comment 4 Jason Porter 2013-08-13 16:12:17 EDT
Created attachment 786262 [details]
File: dso_list
Comment 5 Jason Porter 2013-08-13 16:12:21 EDT
Created attachment 786263 [details]
File: environ
Comment 6 Jason Porter 2013-08-13 16:12:24 EDT
Created attachment 786264 [details]
File: exploitable
Comment 7 Jason Porter 2013-08-13 16:12:27 EDT
Created attachment 786265 [details]
File: limits
Comment 8 Jason Porter 2013-08-13 16:12:31 EDT
Created attachment 786266 [details]
File: maps
Comment 9 Jason Porter 2013-08-13 16:12:34 EDT
Created attachment 786267 [details]
File: proc_pid_status
Comment 10 Jason Porter 2013-08-13 16:12:37 EDT
Created attachment 786268 [details]
File: var_log_messages
Comment 11 Dominic Hopf 2014-07-02 20:27:07 EDT
I've just built the updates for Zsh 5.0.5 which will be available in Rawhide and updates-testing within the next days. I'd appreciate if you are able to confirm if this issue is still present with Zsh 5.0.5 for you or not.

Thanks very much in advance & Best Regards,
Dominic
Comment 12 Jason Porter 2014-07-02 20:44:06 EDT
I wish I could recall what I was doing when this happened. I'm currently on 5.0.2-6.fc20 and have not had issues. Will try in a few days with the update.
Comment 13 Jason Porter 2014-07-15 15:20:15 EDT
I updated last night and haven't seen any issues. Probably safe to resolve this.
Comment 14 Dominic Hopf 2014-07-15 16:31:32 EDT
Thanks very much for the feedback, feel free to reopen the issue in case you have any concerns.

Note You need to log in before you can comment on or make changes to this bug.